View Issue Details

IDProjectCategoryView StatusLast Update
0027928LazarusPatchpublic2020-06-11 21:48
ReporterNyitrai Péter Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Fixed in Version2.2 
Summary0027928: New patch for SynHighlighterVB
DescriptionImplemented two "new" VB operators: "AndAlso" and "OrElse", the shortcutted versions of And and Or, which have been introduced in VB 2005 (8), so it's been a while.

Moreover, deleted some redundant condition.
TagsNo tags attached.
Fixed in Revision63319
LazTarget2.2
Widgetset
Attached Files

Activities

Nyitrai Péter

2015-04-21 20:11

reporter  

Nyitrai Péter

2015-04-22 06:08

reporter   ~0083103

Please change "shortcutted" to "short-circuit" at the description, my bad, please correct it, sorry.

Martin Friebe

2020-06-06 20:27

manager   ~0123276

Thanks for the patch. Sorry for the delay.

Applied.

Issue History

Date Modified Username Field Change
2015-04-21 20:11 Nyitrai Péter New Issue
2015-04-21 20:11 Nyitrai Péter File Added: synhighlightervb.patch.zip
2015-04-21 21:04 Martin Friebe Assigned To => Martin Friebe
2015-04-21 21:04 Martin Friebe Status new => assigned
2015-04-22 06:08 Nyitrai Péter Note Added: 0083103
2020-06-06 20:27 Martin Friebe Status assigned => resolved
2020-06-06 20:27 Martin Friebe Resolution open => fixed
2020-06-06 20:27 Martin Friebe Fixed in Version => 2.2
2020-06-06 20:27 Martin Friebe Fixed in Revision => 63319
2020-06-06 20:27 Martin Friebe LazTarget => 2.2
2020-06-06 20:27 Martin Friebe Note Added: 0123276